Package bitel.billing.server.load.bean

# Class Source

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
bitel.billing.server.load.bean.Source

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class Source
    extends IdTitle
    implements ListItem, Idable

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `TYPE_FILE` |
  `static int` | `TYPE_FTP` |
  `static int` | `TYPE_NETFLOW` |
  `static int` | `TYPE_SFLOW` |
  `static int` | `TYPE_SNMP` |

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Source()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static boolean` | `checkSourceType​(int type)` |
  `java.lang.String` | `getComment()` |
  `java.lang.String` | `getConfig()` |
  `java.util.Calendar` | `getDate1()` |
  `java.util.Calendar` | `getDate2()` |
  `java.lang.String` | `getHostOrDir()` |
  `int` | `getMid()` |
  `java.lang.String` | `getPswd()` |
  `int` | `getType()` |
  `java.lang.String` | `getUser()` |
  `static int` | `nameToType​(java.lang.String type)` |
  `void` | `setComment​(java.lang.String comment)` |
  `void` | `setConfig​(java.lang.String config)` |
  `void` | `setDate1​(java.util.Calendar date1)` |
  `void` | `setDate2​(java.util.Calendar date2)` |
  `void` | `setHostOrDir​(java.lang.String hostOrDir)` |
  `void` | `setMid​(int mid)` |
  `void` | `setPswd​(java.lang.String pswd)` |
  `void` | `setType​(int type)` |
  `void` | `setUser​(java.lang.String user)` |
  `static java.lang.String` | `typeToName​(int type)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.Idable

  `getId`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId, getTitle`

- ## Field Details

  - ### TYPE_FTP

    public static final int TYPE_FTP
    See Also:
      Constant Field Values

  - ### TYPE_FILE

    public static final int TYPE_FILE
    See Also:
      Constant Field Values

  - ### TYPE_NETFLOW

    public static final int TYPE_NETFLOW
    See Also:
      Constant Field Values

  - ### TYPE_SFLOW

    public static final int TYPE_SFLOW
    See Also:
      Constant Field Values

  - ### TYPE_SNMP

    public static final int TYPE_SNMP
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Source

    public Source()

- ## Method Details

  - ### typeToName

    public static final java.lang.String typeToName​(int type)

  - ### nameToType

    public static final int nameToType​(java.lang.String type)

  - ### checkSourceType

    public static final boolean checkSourceType​(int type)

  - ### getConfig

    public java.lang.String getConfig()

  - ### setConfig

    public void setConfig​(java.lang.String config)

  - ### getComment

    public java.lang.String getComment()

  - ### setComment

    public void setComment​(java.lang.String comment)

  - ### getDate1

    public java.util.Calendar getDate1()

  - ### setDate1

    public void setDate1​(java.util.Calendar date1)

  - ### getDate2

    public java.util.Calendar getDate2()

  - ### setDate2

    public void setDate2​(java.util.Calendar date2)

  - ### getHostOrDir

    public java.lang.String getHostOrDir()

  - ### setHostOrDir

    public void setHostOrDir​(java.lang.String hostOrDir)

  - ### getMid

    public int getMid()

  - ### setMid

    public void setMid​(int mid)

  - ### getPswd

    public java.lang.String getPswd()

  - ### setPswd

    public void setPswd​(java.lang.String pswd)

  - ### getType

    public int getType()

  - ### setType

    public void setType​(int type)

  - ### getUser

    public java.lang.String getUser()

  - ### setUser

    public void setUser​(java.lang.String user)